Bug 244557 - multimedia/ffmpeg core dumps on 11.2 (signal 10 bus error)
Summary: multimedia/ffmpeg core dumps on 11.2 (signal 10 bus error)
Status: Closed Unable to Reproduce
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-02 16:53 UTC by Palle Girgensohn
Modified: 2020-05-24 14:19 UTC (History)
1 user (show)

See Also:
jbeich: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Palle Girgensohn freebsd_committer 2020-03-02 16:53:12 UTC
Hio!

We're seeing bus errors with ffmpeg after updating: 

ffmpeg: 4.2.1_5,1 -> 4.2.2_6,1


$ sudo gdb -core ffmpeg.core /usr/local/bin/ffmpeg
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "amd64-marcel-freebsd"...(no debugging symbols found)...
Core was generated by `/usr/local/bin/ffmpeg -threads 10 -i /opt/pingpong/files/node/1068/106819/106819'.
Program terminated with signal 10, Bus error.
Reading symbols from /usr/local/lib/libavdevice.so.58...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libavdevice.so.58
Reading symbols from /usr/local/lib/libavfilter.so.7...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libavfilter.so.7
Reading symbols from /usr/local/lib/libavformat.so.58...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libavformat.so.58
Reading symbols from /usr/local/lib/libavcodec.so.58...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libavcodec.so.58
Reading symbols from /usr/local/lib/libavresample.so.4...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libavresample.so.4
Reading symbols from /usr/local/lib/libpostproc.so.55...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpostproc.so.55
Reading symbols from /usr/local/lib/libswresample.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libswresample.so.3
Reading symbols from /usr/local/lib/libswscale.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libswscale.so.5
Reading symbols from /usr/local/lib/libavutil.so.56...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libavutil.so.56
Reading symbols from /lib/libm.so.5...Reading symbols from /usr/lib/debug//lib/libm.so.5.debug...done.
done.
Loaded symbols for /lib/libm.so.5
Reading symbols from /lib/libthr.so.3...Reading symbols from /usr/lib/debug//lib/libthr.so.3.debug...done.
done.
Loaded symbols for /lib/libthr.so.3
Reading symbols from /lib/libc.so.7...Reading symbols from /usr/lib/debug//lib/libc.so.7.debug...done.
done.
Loaded symbols for /lib/libc.so.7
Reading symbols from /usr/local/lib/libv4l2.so.0...done.
Loaded symbols for /usr/local/lib/libv4l2.so.0
Reading symbols from /usr/lib/libbz2.so.4...Reading symbols from /usr/lib/debug//usr/lib/libbz2.so.4.debug...done.
done.
Loaded symbols for /usr/lib/libbz2.so.4
Reading symbols from /usr/local/lib/libgmp.so.10...done.
Loaded symbols for /usr/local/lib/libgmp.so.10
Reading symbols from /lib/libz.so.6...Reading symbols from /usr/lib/debug//lib/libz.so.6.debug...done.
done.
Loaded symbols for /lib/libz.so.6
Reading symbols from /usr/lib/libssl.so.8...Reading symbols from /usr/lib/debug//usr/lib/libssl.so.8.debug...done.
done.
Loaded symbols for /usr/lib/libssl.so.8
Reading symbols from /lib/libcrypto.so.8...Reading symbols from /usr/lib/debug//lib/libcrypto.so.8.debug...done.
done.
Loaded symbols for /lib/libcrypto.so.8
Reading symbols from /usr/local/lib/libvpx.so.6...done.
Loaded symbols for /usr/local/lib/libvpx.so.6
Reading symbols from /usr/lib/liblzma.so.5...Reading symbols from /usr/lib/debug//usr/lib/liblzma.so.5.debug...done.
done.
Loaded symbols for /usr/lib/liblzma.so.5
Reading symbols from /usr/local/lib/libdav1d.so.3...done.
Loaded symbols for /usr/local/lib/libdav1d.so.3
Reading symbols from /usr/local/lib/libopencore-amrwb.so.0...done.
Loaded symbols for /usr/local/lib/libopencore-amrwb.so.0
Reading symbols from /usr/local/lib/libaom.so.0...done.
Loaded symbols for /usr/local/lib/libaom.so.0
Reading symbols from /usr/local/lib/libfdk-aac.so.2...done.
Loaded symbols for /usr/local/lib/libfdk-aac.so.2
Reading symbols from /usr/local/lib/libmp3lame.so.0...done.
Loaded symbols for /usr/local/lib/libmp3lame.so.0
Reading symbols from /usr/local/lib/libvorbis.so.0...done.
Loaded symbols for /usr/local/lib/libvorbis.so.0
Reading symbols from /usr/local/lib/libvorbisenc.so.2...done.
Loaded symbols for /usr/local/lib/libvorbisenc.so.2
Reading symbols from /usr/local/lib/libx264.so.159...done.
Loaded symbols for /usr/local/lib/libx264.so.159
Reading symbols from /usr/local/lib/libx265.so.179...done.
Loaded symbols for /usr/local/lib/libx265.so.179
Reading symbols from /usr/local/lib/libxvidcore.so.4...done.
Loaded symbols for /usr/local/lib/libxvidcore.so.4
Reading symbols from /usr/local/lib/libv4lconvert.so.0...done.
Loaded symbols for /usr/local/lib/libv4lconvert.so.0
Reading symbols from /usr/lib/libc++.so.1...Reading symbols from /usr/lib/debug//usr/lib/libc++.so.1.debug...done.
done.
Loaded symbols for /usr/lib/libc++.so.1
Reading symbols from /lib/libcxxrt.so.1...Reading symbols from /usr/lib/debug//lib/libcxxrt.so.1.debug...done.
done.
Loaded symbols for /lib/libcxxrt.so.1
Reading symbols from /usr/local/lib/libogg.so.0...done.
Loaded symbols for /usr/local/lib/libogg.so.0
Reading symbols from /usr/lib/librt.so.1...Reading symbols from /usr/lib/debug//usr/lib/librt.so.1.debug...done.
done.
Loaded symbols for /usr/lib/librt.so.1
Reading symbols from /usr/lib/libdl.so.1...Reading symbols from /usr/lib/debug//usr/lib/libdl.so.1.debug...done.
done.
Loaded symbols for /usr/lib/libdl.so.1
Reading symbols from /usr/local/lib/libjpeg.so.8...done.
Loaded symbols for /usr/local/lib/libjpeg.so.8
Reading symbols from /lib/libgcc_s.so.1...Reading symbols from /usr/lib/debug//lib/libgcc_s.so.1.debug...done.
done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /libexec/ld-elf.so.1...Reading symbols from /usr/lib/debug//libexec/ld-elf.so.1.debug...done.
done.
Loaded symbols for /libexec/ld-elf.so.1
#0  0x0000000807ba8f60 in x264_8_trellis_coefn () from /usr/local/lib/libx264.so.159
(gdb) bt
#0  0x0000000807ba8f60 in x264_8_trellis_coefn () from /usr/local/lib/libx264.so.159
#1  0x0000000807a7cfee in x264_8_frame_shift () from /usr/local/lib/libx264.so.159
#2  0x0000000807a7330d in x264_8_frame_shift () from /usr/local/lib/libx264.so.159
#3  0x0000000807ad1c93 in x264_8_frame_shift () from /usr/local/lib/libx264.so.159
#4  0x0000000807acd4fd in x264_8_frame_shift () from /usr/local/lib/libx264.so.159
#5  0x0000000807ad418b in x264_8_threadpool_init () from /usr/local/lib/libx264.so.159
#6  0x0000000803fefc06 in thread_start (curthread=0x80ed2f200) at /usr/src/lib/libthr/thread/thr_create.c:289
#7  0x0000000000000000 in ?? ()


$ pkg info
ImageMagick7-7.0.9.20          Image processing tools
af-aspell-0.50.0_1,1           Aspell Afrikaans dictionary
am-aspell-0.03.1_1,2           Aspell Amharic dictionary
aom-1.0.0.3087                 AV1 reference encoder/decoder
ap24-mod_jk-1.2.46,1           Apache JK module for connecting to Tomcat using AJP1X
ap24-mod_xsendfile-0.12_3      Apache2 module that processes X-SENDFILE headers
apache-ant-1.10.6              Java- and XML-based build tool, conceptually similar to make
apache-commons-daemon-1.2.2    Wrapper code to start/stop a Java application as a daemon
apache-xml-security-c-2.0.2    Apache XML security libraries - C++ version
apache24-2.4.41                Version 2.4.x of Apache web server
apr-1.7.0.1.6.1                Apache Portability Library
arc-5.21p                      Create & extract files from DOS .ARC files
arj-3.10.22_8                  Open source implementation of the ARJ archiver
aspell-0.60.8,1                Spelling checker with better suggestion logic than ispell
ast-aspell-0.01                Aspell Asturian dictionary
autoconf-2.69_3                Automatically configure source code on many Un*x platforms
autoconf-wrapper-20131203      Wrapper script for GNU autoconf
automake-1.16.1_2              GNU Standards-compliant Makefile generator
avahi-app-0.7_2                Service discovery on a local network
az-aspell-0.02.0_1,2           Aspell Azerbaijani dictionary
bash-5.0.16                    GNU Project's Bourne Again SHell
bash-completion-2.10,2         Programmable completion library for Bash
be-aspell-0.01_1,2             Aspell Belarusian dictionary
bg-aspell-4.1.0_1,2            Aspell Bulgarian dictionary
bind-tools-9.14.10             Command line tools from BIND: delv, dig, host, nslookup...
bn-aspell-0.01.1.1_1,2         Aspell Bengali dictionary
br-aspell-0.50.2,1             Aspell Breton dictionary
brotli-1.0.7_2,1               Generic-purpose lossless compression algorithm
c-ares-1.15.0_1                Asynchronous DNS resolver library
ca-aspell-2.1.5.1,1            Aspell Catalan dictionary
ca_root_nss-3.50               Root certificate bundle from the Mozilla Project
cairo-1.16.0,2                 Vector graphics library with cross-device output support
clamav-0.102.2,1               Command line virus scanner written entirely in C
collectd5-5.10.0_1             Systems & network statistics collection daemon
cs-aspell-20040614.1_1,1       Aspell Czech dictionary
csb-aspell-0.02.0_1,2          Aspell Kashubian dictionary
cscope-15.8b_1                 Interactive C program browser
ctags-5.8                      Feature-filled tagfile generator for vi and emacs clones
cups-2.2.12                    Common UNIX Printing System
curl-7.68.0                    Command line tool and library for transferring data with URLs
cvsps-2.1_2                    Create patchset information from CVS
cy-aspell-0.50.3_1,1           Aspell Welsh dictionary
cyrus-sasl-2.1.27_1            RFC 2222 SASL (Simple Authentication and Security Layer)
da-aspell-1.4.42.1_1,2         Aspell Danish dictionary
dav1d-0.5.2_1                  Small and fast AV1 decoder
db48-4.8.30.0_2                Berkeley DB package, revision 4.8
db5-5.3.28_7                   Oracle Berkeley DB, revision 5.3
dbus-1.12.16                   Message bus system for inter-application communication
dbus-glib-0.110                GLib bindings for the D-BUS messaging system
dejavu-2.37_1                  Bitstream Vera Fonts clone with a wider range of characters
el-aspell-0.50.3_1,1           Aspell Greek dictionary
en-aspell-2018.04.16.0         Aspell English dictionaries
encodings-1.0.5,1              X.Org Encoding fonts
eo-aspell-2.1.20000222_1,1     Aspell Esperanto dictionary
es-aspell-1.11.2,1             Aspell Spanish dictionary
et-aspell-0.1.21.1_1,2         Aspell Estonian dictionary
etc_os-release-0.1_2           Operating system identification file
expat-2.2.8                    XML 1.0 parser written in C
fa-aspell-0.11.0_1,2           Aspell Persian (Farsi) dictionary
fdk-aac-2.0.1                  Port of the Fraunhofer FDK AAC Codec Library
ffmpeg-4.2.2_6,1               Realtime audio/video encoder/converter and streaming server
fftw3-3.3.8_5                  Fast C routines to compute the Discrete Fourier Transform
fi-aspell-0.7.0_1,2            Aspell Finnish dictionary
filebeat-5.1.1                 Collect logs locally and send to remote logstash
fo-aspell-0.2.16.1_1,2         Aspell Faroese dictionary
font-bh-ttf-1.0.3_4            X.Org Bigelow & Holmes TTF font
font-misc-ethiopic-1.0.3_4     X.Org miscellaneous Ethiopic font
font-misc-meltho-1.0.3_4       X.Org miscellaneous Meltho font
fontconfig-2.12.6,1            XML-based font configuration API for X Windows
freeglut-3.0.0_2               open source implementation of the GLUT library
freetype2-2.10.1               Free and portable TrueType font rendering engine
fribidi-0.19.7                 Free Implementation of the Unicode Bidirectional Algorithm
fy-aspell-0.12.0_1             Aspell Frisian (Frysk) dictionary
ga-aspell-4.5.0,2              Aspell Irish (Gaelic) dictionary
gd-aspell-0.1.1.1_1,2          Aspell Scottish Gaelic dictionary
gdbm-1.18.1_1                  GNU database manager
gdk-pixbuf2-2.40.0             Graphic library for GTK+
gettext-runtime-0.20.1         GNU gettext runtime libraries and programs
ghostscript9-agpl-base-9.50_2  PostScript and PDF interpreter
ghostscript9-agpl-x11-9.50     PostScript and PDF interpreter, X11 support
giflib-5.2.1                   Tools and library routines for working with GIF images
git-2.25.1                     Distributed source code management tool
gl-aspell-0.2_1,2              Aspell Galician dictionary
glib-2.56.3_7,1                Some useful routines of C programming (current stable version)
gmake-4.2.1_3                  GNU version of 'make' utility
gmp-6.1.2_1                    Free library for arbitrary precision arithmetic
gnome_subr-1.0                 Common startup and shutdown subroutines used by GNOME scripts
gnupg-2.2.19                   Complete and free PGP implementation
gnutls-3.6.12                  GNU Transport Layer Security library
gobject-introspection-1.56.1,1 Generate interface introspection data for GObject libraries
graphite2-1.3.13_1             Rendering capabilities for complex non-Roman writing systems
grc-aspell-0.02.0              Aspell Ancient Greek dictionary
gsfonts-8.11_8                 Standard Fonts for Ghostscript
gstreamer1-1.16.2              Media applications framework
gstreamer1-libav-1.16.2        GStreamer plug-in with many audio/video decoders/encoders
gstreamer1-plugins-1.16.2      GStreamer written collection of plugins handling several media types
gstreamer1-plugins-a52dec-1.16.2 GStreamer ATSC A/52 stream aka AC-3 (dvd audio) plugin
gstreamer1-plugins-bad-1.16.2  GStreamer-plugins that need more quality, testing or documentation
gstreamer1-plugins-core-1.16   Core set of typical audio and video GStreamer plugins
gstreamer1-plugins-dts-1.16.2  GStreamer dts audio decode plugin
gstreamer1-plugins-dvdread-1.16.2 GStreamer DVD access plugin with libdvdread
gstreamer1-plugins-good-1.16.2 GStreamer-plugins good-quality plug-ins
gstreamer1-plugins-mpg123-1.16.2 GStreamer MPEG Layer 1, 2, and 3 plugin
gstreamer1-plugins-ogg-1.16.2  GStreamer Ogg bitstream plugin
gstreamer1-plugins-pango-1.16.2 GStreamer pango textoverlay plugin
gstreamer1-plugins-png-1.16.2  GStreamer png plugin
gstreamer1-plugins-resindvd-1.16.2 GStreamer resindvd DVD playback plugin
gstreamer1-plugins-theora-1.16.2 GStreamer theora plugin
gstreamer1-plugins-ugly-1.16.2 GStreamer-plugins set of good-quality plug-ins that might have distribution problems
gstreamer1-plugins-vorbis-1.16.2 GStreamer vorbis encoder/decoder plugin
gu-aspell-0.03.0_1,2           Aspell Gujarati dictionary
gv-aspell-0.50.0_1,1           Aspell Manx Gaelic dictionary
harfbuzz-2.6.4                 OpenType text shaping engine
harfbuzz-icu-2.6.4             Harfbuzz ICU support
hi-aspell-0.02.0_1,2           Aspell Hindi dictionary
hicolor-icon-theme-0.17        High-color icon theme shell from the FreeDesktop project
hil-aspell-0.11.0_1,2          Aspell Hiligaynon dictionary
hiredis-0.13.3                 Minimalistic C client library for the Redis database
hr-aspell-0.51.0_1,1           Aspell Croatian dictionary
hsb-aspell-0.02.0,2            Aspell Upper Sorbian dictionary
html2ps-1.0.b7_5,1             HTML to PostScript converter
hy-aspell-0.10.0.0_1,1         Aspell Armenian dictionary
hyphen-2.8.8                   Library for high quality hyphenation and justification
ia-aspell-0.50.1_1,1           Aspell Interlingua dictionary
icu-65.1,1                     International Components for Unicode (from IBM)
id-aspell-1.2.0_1,2            Aspell Indonesian dictionary
indexinfo-0.3.1                Utility to regenerate the GNU info page index
is-aspell-0.51.1.0_1,1         Aspell Icelandic dictionary
iso-codes-4.2                  Lists of the country, language, and currency iso names
it-aspell-2.4.20070901.0,2     Aspell Italian dictionary
jasper-2.0.16_1                Implementation of the codec specified in the JPEG-2000 standard
java-zoneinfo-2019.b           Updated Java timezone definitions
javavmwrapper-2.7.4            Wrapper script for various Java Virtual Machines
jbig2dec-0.17                  Decoder implementation of the JBIG2 image compression format
jbigkit-2.1_1                  Lossless compression for bi-level images such as scanned pages, faxes
jpeg-turbo-2.0.4               SIMD-accelerated JPEG codec which replaces libjpeg
json-c-0.13.1_1                JSON (JavaScript Object Notation) implementation in C
kn-aspell-0.01.1               Aspell Kannada dictionary
ku-aspell-0.20.1_1,1           Aspell Kurdi dictionary
ky-aspell-0.01.0               Aspell Kirghiz dictionary
la-aspell-20020503.0_1         Aspell Latin dictionary
lame-3.100_2                   Fast MP3 encoder kit
latex2html-2016_1              Convert LaTeX documents to HTML
lcms2-2.9                      Accurate, fast, and small-footprint color management engine
lftp-4.9.1                     Shell-like command line FTP client
libGLU-9.0.1                   OpenGL utility library
libICE-1.0.10,1                Inter Client Exchange library for X11
libSM-1.2.3,1                  Session Management library for X11
libX11-1.6.9,1                 X11 library
libXau-1.0.9                   Authentication Protocol library for X11
libXcomposite-0.4.5,1          X Composite extension library
libXdamage-1.1.5               X Damage extension library
libXdmcp-1.1.3                 X Display Manager Control Protocol library
libXext-1.3.4,1                X11 Extension library
libXfixes-5.0.3_2              X Fixes extension library
libXi-1.7.10,1                 X Input extension library
libXmu-1.1.3,1                 X Miscellaneous Utilities libraries
libXrandr-1.5.2                X Resize and Rotate extension library
libXrender-0.9.10_2            X Render extension library
libXt-1.2.0,1                  X Toolkit library
libXxf86vm-1.1.4_3             X Vidmode Extension
liba52-0.7.4_3                 Free library for decoding ATSC A/52 streams, aka AC-3
libassuan-2.5.3                IPC library used by GnuPG and gpgme
libcroco-0.6.13                CSS2 parsing library
libdaemon-0.14_1               Lightweight C library that eases the writing of UNIX daemons
libdbi-0.9.0_3                 Database Independent Abstraction Layer for C
libdca-0.0.6_1                 Free DTS Coherent Acoustics decoder
libdrm-2.4.99,1                Userspace interface to kernel Direct Rendering Module services
libdvdnav-6.0.1                Videolan version of the libdvdnav project
libdvdread-6.0.2               Videolan version of the libdvdread project
libedit-3.1.20191211,1         Command line editor library
libepoll-shim-0.0.20200212     Small epoll implementation using kqueue
libevdev-1.5.9_1               Linux Event Device library
libevent-2.1.11                API for executing callback functions on events or timeouts
libffi-3.2.1_3                 Foreign Function Interface
libfontenc-1.1.4               The fontenc Library
libgcrypt-1.8.5                General purpose cryptographic library based on the code from GnuPG
libgd-2.2.5_2,1                Graphics library for fast creation of images
libgpg-error-1.37              Common error values for all GnuPG components
libgsf-1.14.46                 Extensible I/O abstraction for dealing with structured file formats
libgudev-230_1                 GObject bindings for libudev.
libiconv-1.14_11               Character set conversion library
libidn-1.35                    Internationalized Domain Names command line tool
libidn2-2.3.0_1                Implementation of IDNA2008 internationalized domain names
libinotify-20180201_1          Kevent based inotify compatible library
libinput-1.15.1                Generic input library
libksba-1.3.5_1                KSBA is an X.509 Library
liblqr-1-0.4.2                 Easy to use C/C++ seam carving library
libltdl-2.4.6                  System independent dlopen wrapper
liblz4-1.9.2_1,1               LZ4 compression library, lossless and very fast
libmaxminddb-1.4.2             Library for the MaxMind DB file format used for GeoIP2
libmemcached-1.0.18_7          C and C++ client library to the memcached server
libmspack-0.10.1               Library for Microsoft compression formats
libmtdev-1.1.5_2               Multitouch Protocol Translation Library
libnghttp2-1.40.0              HTTP/2.0 C Library
libogg-1.3.4,4                 Ogg bitstream library
libpaper-1.1.24.4              Library providing routines for paper size management
libpciaccess-0.16              Generic PCI access library
libpotrace-1.12                Library for transforming bitmaps into vector graphics
libpthread-stubs-0.4           This library provides weak aliases for pthread functions
libraqm-0.6.0                  Library that encapsulates complex text layout logic
libraw-0.19.5                  Library for manipulating raw images
librsvg2-2.40.20               Library for parsing and rendering SVG vector-graphic files
libtasn1-4.15.0                ASN.1 structure parser library
libtheora-1.1.1_7              Theora video codec for the Ogg multimedia streaming system
libudev-devd-0.4.1             libudev-compatible interface for devd
libunistring-0.9.10_1          Unicode string library
libunwind-20170615             Generic stack unwinding library
libuv-1.34.2                   Multi-platform support library with a focus on asynchronous I/O
libv4l-1.6.3_4                 Video4Linux library
libvorbis-1.3.6,3              Audio compression codec library
libvpx-1.8.2_1                 VP8/VP9 reference encoder/decoder
libwacom-0.32                  Adds tablet support to libinput
libwmf-0.2.8.4_15              Tools and library for converting Microsoft WMF (windows metafile)
libx264-0.159.2991             H.264/MPEG-4 AVC Video Encoding (Library)
libxcb-1.13.1                  The X protocol C-language Binding (XCB) library
libxkbcommon-0.10.0            Keymap handling library for toolkits and window systems
libxml2-2.9.10                 XML parser library for GNOME
libxshmfence-1.3               Shared memory 'SyncFence' synchronization primitive
libxslt-1.1.34_1               The XSLT C library for GNOME
libyaml-0.2.2                  YAML 1.1 parser and emitter written in C
lnav-0.8.5_1                   Terminal based log file navigator
log4shib-2.0.0                 Library of C++ classes for flexible logging
lsof-4.93.2_9,8                Lists information about open files (similar to fstat(1))
lt-aspell-1.2.1.0_1,2          Aspell Lithuanian dictionary
lua52-5.2.4                    Small, compilable scripting language providing easy access to C code
lv-aspell-0.5.5.1_1,2          Aspell Latvian dictionary
lynx-2.8.9.1_1,1               Non-graphical, text-based World-Wide Web client
m4-1.4.18_1,1                  GNU M4
mesa-libs-18.3.2_3             OpenGL libraries that support GLX and EGL clients
mi-aspell-0.50.0_1,1           Aspell Maori dictionary
mk-aspell-0.50.0_1,1           Aspell Macedonian dictionary
mkfontscale-1.2.1              Creates an index of scalable font files for X
ml-aspell-0.04.1               Aspell Malayalam dictionary
mn-aspell-0.06.2,2             Aspell Mongolian dictionary
monitoring-plugins-2.2_7       Monitoring Plugins for Nagios
mosh-1.3.2_12                  Mobile terminal that supports intermittent connectivity
mpfr-4.0.2                     Library for multiple-precision floating-point computations
mpg123-1.25.13                 Command-line player for MPEG Layer 1, 2, and 3 audio files
ms-aspell-0.50.0_1,1           Aspell Malay dictionary
mt-aspell-0.50.0_1,1           Aspell Maltese dictionary
mysql57-client-5.7.29_1        Multithreaded SQL database (client)
nb-aspell-0.50.1.0_1,1         Aspell Norwegian Bokmal dictionary
nds-aspell-0.01.0_1,2          Aspell Low Saxon dictionary
net-snmp-5.7.3_20,1            Extendable SNMP implementation
netpbm-10.89.01                Toolkit for conversion of images between different formats
nettle-3.5.1_1                 Low-level cryptographic library
nl-aspell-0.50.2_1,1           Aspell Dutch dictionary
nn-aspell-0.50.1.1_1,1         Aspell Norwegian Nynorsk dictionary
node-13.7.0                    V8 JavaScript for client and server
npm-6.12.1                     Node package manager
npth-1.6                       New GNU Portable Threads
nrpe3-3.2.1                    Nagios Remote Plugin Executor
nspr-4.25                      Platform-neutral API for system level and libc like functions
nss-3.50                       Libraries to support development of security-enabled applications
nss-pam-ldapd-sasl-0.9.11      Advanced fork of nss_ldap with sasl support
ny-aspell-0.01.0_1,2           Aspell Nyanja dictionary
opencore-amr-0.1.5             OpenCORE implementation of AMR Narrowband & Wideband speech codec
openipmi-2.0.28                Complex IPMI management software
openjdk8-8.242.07.1            Java Development Kit 8
openjpeg-2.3.1                 Open-source JPEG 2000 codec
openjpeg15-1.5.2_1             Open-source JPEG 2000 codec
openldap-sasl-client-2.4.49    Open source LDAP client implementation with SASL2 support
opensaml-3.0.1_3               Open source implementation of SAML2
or-aspell-0.03.1_1,2           Aspell Oriya dictionary
orc-0.4.31                     Library and toolset to operate arrays of data
p11-kit-0.23.18.1              Library for loading and enumerating of PKCS#11 modules
p5-Algorithm-Diff-1.1903       Perl interface to compute differences between two objects
p5-Authen-NTLM-1.09_1          Perl5 NTLM authentication module
p5-Authen-SASL-2.16_1          Perl5 module for SASL authentication
p5-CGI-4.46                    Handle Common Gateway Interface requests and responses
p5-ConfigReader-Simple-1.293   Simple configuration file parser
p5-Crypt-CBC-2.33_1            Perl5 interface to Cipher Block Chaining with DES and IDEA
p5-Crypt-DES-2.07_1            Perl5 interface to DES block cipher
p5-Crypt-SSLeay-0.72_3         Perl5 interface to allow p5-libwww LWP to make https connections
p5-DBD-Pg-3.10.4               Provides access to PostgreSQL databases through the DBI
p5-DBI-1.643                   Perl5 Database Interface, required for DBD::* modules
p5-Digest-HMAC-1.03_1          Perl5 interface to HMAC Message-Digest Algorithms
p5-Digest-SHA1-2.13_1          Perl interface to the SHA-1 Algorithm
p5-EV-4.30,1                   Perl interface to libev, a high performance full-featured event loop
p5-Encode-Locale-1.05          Determine the locale encoding
p5-Error-0.17029               Error/exception handling in object-oriented programming style
p5-File-Find-Rule-0.34         Alternative interface to File::Find
p5-File-Listing-6.04_1         Parse directory listings
p5-Filter-1.59                 Number of source filters for perl5 programs
p5-GSSAPI-0.28_1               Perl extension providing access to the GSSAPIv2 library
p5-HTML-Lint-2.32              HTML::Lint - check for HTML errors in a string or file
p5-HTML-Parser-3.72            Perl5 module for parsing HTML documents
p5-HTML-SimpleLinkExtor-1.272  This is a simple HTML link extractor
p5-HTML-Tagset-3.20_1          Some useful data table in parsing HTML
p5-HTTP-Cookies-6.08           HTTP Cookie jars
p5-HTTP-Daemon-6.06            Simple HTTP server class
p5-HTTP-Date-6.05              Conversion routines for the HTTP protocol date formats
p5-HTTP-Message-6.18           Representation of HTTP style messages
p5-HTTP-Negotiate-6.01_1       Implementation of the HTTP content negotiation algorithm
p5-HTTP-SimpleLinkChecker-1.167 Check the HTTP response code for a link
p5-HTTP-Size-1.151             Get the byte size of an internet resource
p5-IO-HTML-1.001_1             Open an HTML file with automatic charset detection
p5-IO-Socket-INET6-2.72_1      Perl module with object interface to AF_INET6 domain sockets
p5-IO-Socket-SSL-2.066         Perl5 interface to SSL sockets
p5-LWP-MediaTypes-6.04         Guess media type for a file or a URL
p5-LWP-Protocol-https-6.07_1   Provide https support for LWP::UserAgent
p5-Mail-Sendmail-0.80          Perl module implementing a simple, platform-independent mailer
p5-Mojolicious-8.33            High-level MVC web framework written in Perl
p5-Mozilla-CA-20180117         Perl extension for Mozilla CA cert bundle in PEM format
p5-Net-DNS-1.22,1              Perl5 interface to the DNS resolver, and dynamic updates
p5-Net-HTTP-6.19               Low-level HTTP client
p5-Net-SNMP-6.0.1_1            Object oriented interface to SNMP
p5-Net-SSLeay-1.88             Perl5 interface to SSL
p5-Number-Compare-0.03_1       Numeric comparisons
p5-Pg-2.1.1_6,1                Interface for using perl5 to access PostgreSQL databases
p5-Proc-ProcessTable-0.59      Perl interface to the unix process table
p5-Socket6-0.29                IPv6 related part of the C socket.h defines and structure manipulators
p5-Switch-2.17_1               Switch - A switch statement for Perl
p5-Term-ReadKey-2.38_1         Perl5 module for simple terminal control
p5-Text-Diff-1.45              Text::Diff - Perform diffs on files and record sets
p5-Text-Glob-0.11              Match globbing patterns against text
p5-Text-Template-1.58          Expand template text with embedded Perl
p5-Time-Local-1.30             Efficiently compute time from local and GMT time
p5-TimeDate-2.30_2,1           Perl5 module containing a better/faster date parser for absolute dates
p5-Try-Tiny-0.30               Minimal try/catch with proper localization of $@
p5-URI-1.76                    Perl5 interface to Uniform Resource Identifier (URI) references
p5-WWW-RobotRules-6.02_1       Database of robots.txt-derived permissions
p5-XML-Writer-0.625_1          Simple Perl module for writing XML documents
p5-common-sense-3.74           Perl common defaults with lower memory usage
p5-libwww-6.43                 Perl5 library for WWW access
p5-subversion-1.13.0           Perl bindings for Version control system
pa-aspell-0.01.1_1,2           Aspell Punjabi dictionary
packetbeat-5.1.1               Elasticsearch real-time network packet analytics
pam_mkhomedir-0.2              Create HOME with a PAM module on demand
pango-1.42.4_3                 Open-source framework for the layout and rendering of i18n text
pciids-20200125                Database of all known IDs used in PCI devices
pcre-8.43_2                    Perl Compatible Regular Expressions library
pcre2-10.34                    Perl Compatible Regular Expressions library, version 2
perl5-5.26.3                   Practical Extraction and Report Language
pinentry-1.1.0_6               Collection of simple PIN or passphrase entry dialogs
pinentry-tty-1.1.0             Console version of the GnuPG password dialog
pingpong-app-0.21              The meta-port for PING PONG application packages
pingpong-aspell-0.3            The meta-port for PING PONG application packages
pingpong-generic-0.17          The meta-port for generic ppab server deps
pixman-0.38.4                  Low-level pixel manipulation library
pkg-1.13.1                     Package manager
pkgconf-1.6.3,1                Utility to help to configure compiler and linker flags
png-1.6.37                     Library for manipulating PNG images
poppler-0.85.0                 PDF rendering library
poppler-data-0.4.9_2           Poppler encoding data
popt-1.16_2                    Getopt(3) like library with a number of enhancements, from Redhat
postgresql96-client-9.6.17     PostgreSQL database (client)
protobuf-3.11.4,1              Data interchange format library
pspg-2.6.6                     Tabular data pager designed to be used with psql
psutils-1.17_5                 Utilities for manipulating PostScript documents
py27-setuptools-44.0.0         Python packages installer
py37-Flask-1.1.1               Micro web framework
py37-Jinja2-2.10.1             Fast and easy to use stand-alone template engine
py37-MarkupSafe-1.1.1          Implements XML/HTML/XHTML Markup safe string for Python
py37-asn1crypto-0.24.0         ASN.1 library with a focus on performance and a pythonic API
py37-cffi-1.14.0               Foreign Function Interface for Python calling C code
py37-click-7.0                 Python package for creating command line interfaces
py37-cryptography-2.6.1        Cryptographic recipes and primitives for Python developers
py37-evdev-0.8.1_1             Bindings to the Linux input handling subsystem
py37-itsdangerous-0.24         Various helpers to pass data in untrusted environments
py37-openssl-19.0.0            Python interface to the OpenSSL library
py37-ply-3.11                  Python Lex-Yacc
py37-pycparser-2.19            C parser in Python
py37-pyudev-0.21.0             Pure Python libudev binding
py37-setuptools-44.0.0         Python packages installer
py37-six-1.14.0                Python 2 and 3 compatibility utilities
py37-werkzeug-0.16.1           Python utilities collection for building WSGI applications
python-3.7_3,2                 "meta-port" for the default version of Python interpreter
python27-2.7.17_1              Interpreted object-oriented programming language
python3-3_3                    The "meta-port" for version 3 of the Python interpreter
python37-3.7.6                 Interpreted object-oriented programming language
qt-faststart-0.2               Convert QuickTime movie files to streamable format
qt5-concurrent-5.13.2          Qt multi-threading module
qt5-core-5.13.2_1              Qt core non-graphical module
qt5-dbus-5.13.2_1              Qt D-Bus inter-process communication module
qt5-declarative-5.13.2_1       Qt declarative framework for dynamic user interfaces
qt5-gui-5.13.2_3               Qt graphical user interface module
qt5-location-5.13.2            Qt location module
qt5-network-5.13.2             Qt network module
qt5-opengl-5.13.2              Qt 5-compatible OpenGL support module
qt5-printsupport-5.13.2        Qt print support module
qt5-sensors-5.13.2             Qt sensors module
qt5-serialport-5.13.2          Qt functions to access serial ports
qt5-sql-5.13.2                 Qt SQL database integration module
qt5-testlib-5.13.2             Qt unit testing module
qt5-webchannel-5.13.2          Qt 5 library for integration of C++/QML with HTML/js clients
qt5-webkit-5.212.0.a3_5        QtWebKit with a more modern WebKit code base
qt5-widgets-5.13.2_1           Qt C++ widgets module
qt5-xmlpatterns-5.13.2_1       Qt support for XPath, XQuery, XSLT and XML Schema
qtchooser-66_1                 Qt tool wrapper
qu-aspell-0.02.0_1,2           Aspell Quechua dictionary
readline-8.0.1                 Library for editing command lines as they are typed
ro-aspell-3.3.2,1              Aspell Romanian dictionary
rsync-3.1.3_1                  Network file distribution/synchronization utility
ruby-2.6.5,1                   Object-oriented interpreted scripting language
rw-aspell-0.50.0_1,1           Aspell Kinyarwanda dictionary
saxon-devel-9.1.0.8_1,1        XSLT 2.0 / XPath 2.0 / XQuery 1.0 processor for Java
sc-aspell-1.0_1,2              Aspell Sardinian dictionary
screen-4.8.0                   Multi-screen window manager
serf-1.3.9_4                   Serf HTTP client library
shared-mime-info-1.10_2        MIME types database from the freedesktop.org project
shibboleth-sp-3.0.4_3          C++ Shibboleth Service Provider (Internet2) for Apache
sk-aspell-2.01.2,1             Aspell Slovak dictionary
sl-aspell-0.50.0_1,1           Aspell Slovenian dictionary
sqlite3-3.30.1,1               SQL database engine in a C library
sr-aspell-0.02_1,2             Aspell Serbian dictionary
subversion-1.13.0              Version control system
sudo-1.8.31                    Allow others to run commands as root
sv-aspell-0.51.0_1,1           Aspell Swedish dictionary
sw-aspell-0.50.0_1,1           Aspell Swahili dictionary
t1lib-5.1.2_5,1                Type 1 font rasterization library for Unix/X11
ta-aspell-20040424.1_1         Aspell Tamil dictionary
tcl86-8.6.10                   Tool Command Language
te-aspell-0.01.2_1,2           Aspell Telugu dictionary
teckit-2.5.7                   Toolkit for converting data between 8-bit legacy encodings and Unicode
telegraf-1.13.3                Time-series data collection
tet-aspell-0.1.1_1,2           Aspell Tetum dictionary
tex-basic-engines-20150521     Basic TeX Engines
tex-dvipsk-5.995_2             Convert a TeX DVI file to PostScript
tex-formats-20150521_2         Formats for basic TeX engines and the 'latex' command
tex-kpathsea-6.2.1_2           Path searching library for TeX
tex-ptexenc-1.3.3_2            Library for Japanese pTeX and its tools
tex-web2c-20150521_3           TeX implementation translating WEB to C
texlive-base-20150521_45       TeX Live Typesetting System, base binaries
texlive-texmf-20150523_4       TeX Live Typesetting System, texmf Tree
texlive-tlmgr-20150523_2       TeXLive manager modules
the_silver_searcher-2.2.0      Code-searching tool similar to ack but faster
tiff-4.1.0                     Tools and library routines for working with TIFF images
tk-aspell-0.01.0_1             Aspell Turkmen dictionary
tl-aspell-0.02.1_1,2           Aspell Tagalog dictionary
tmux-3.0a_1                    Terminal Multiplexer
tn-aspell-1.0.1.0_1,2          Aspell Tswana dictionary
tpm-emulator-0.7.4_2           Trusted Platform Module (TPM) emulator
tr-aspell-0.50.0_1,1           Aspell Turkish dictionary
tree-1.8.0                     Display a tree-view of directories with optional color or HTML output
trousers-0.3.14_2              Open-source TCG Software Stack
unixODBC-2.3.7                 ODBC library suite for Unix
unzip-6.0_8                    List, test, and extract compressed files from a ZIP archive
unzoo-4.4_2                    ZOO archive extractor
utf8proc-2.4.0                 UTF-8 processing library
uz-aspell-0.6.0_1,2            Aspell Uzbek dictionary
vim-8.2.0205                   Improved version of the vi editor
vulkan-headers-1.1.108.0       Headers for the Vulkan graphics API
wa-aspell-0.50.0_1,1           Aspell Walloon dictionary
wayland-1.18.0                 Wayland composite "server"
webalizer-2.23.8_12            Web server log file analysis program
webfonts-0.30_14               TrueType core fonts for the Web
weblint++-1.15_3               HTML validator and sanity checker
webp-1.1.0                     Google WebP image format conversion tool
wkhtmltopdf-0.12.5_5           Convert HTML (or live webpages) to PDF or image
woff2-1.0.2_4                  Library and converter tools for the WOFF 2.0 web font format
x265-3.2.1_1                   H.265/High Efficiency Video Coding (HEVC) format
xauth-1.1                      X authority file utility
xcb-util-0.4.0_2,1             Module with libxcb/libX11 extension/replacement libraries
xcb-util-image-0.4.0_1         Port of Xlib's XImage and XShmImage functions
xcb-util-keysyms-0.4.0_1       Standard X key constants and conversion to/from keycodes
xcb-util-renderutil-0.3.9_1    Convenience functions for the Render extension
xcb-util-wm-0.4.1_3            Framework for window manager implementation
xdg-utils-1.1.3_1              Tools to allow all applications to integrate with the free desktop
xerces-c3-3.2.2                Validating XML parser from the Apache XML Project
xkeyboard-config-2.27          X Keyboard Configuration Database
xmlsec1-1.2.29                 XML Security Library
xmlstarlet-1.6.1               Command Line XML Toolkit
xmltooling-3.0.4_3             Low level XML support for SAML
xorg-fonts-truetype-7.7_1      X.Org TrueType fonts
xorgproto-2019.2               xorg protocol headers
xprop-1.2.4                    Property displayer for X
xset-1.2.4_3                   User preference utility for X
xvid-1.3.7,1                   Opensource MPEG-4 codec, based on OpenDivx
yajl-2.1.0                     Portable JSON parsing and serialization library in ANSI C
yi-aspell-0.01.1.1_1,2         Aspell Yiddish dictionary
zip-3.0_1                      Create/update ZIP files compatible with PKZIP
zsh-5.8                        The Z shell
zu-aspell-0.50.0_1,1           Aspell Zulu dictionary
zziplib-0.13.69_2              Library to provide transparent read access to zipped files


11.2-RELEASE-p2 (yeah, I know, old, sorry :-)

Any ideas what can be causing this? Tips for debugging?

Palle
Comment 1 Jan Beich freebsd_committer 2020-03-05 02:28:11 UTC
Probably unrelated to bug 242147 given it affects amd64.

(In reply to Palle Girgensohn from comment #0)
> ffmpeg: 4.2.1_5,1 -> 4.2.2_6,1
[...]
> 11.2-RELEASE-p2 (yeah, I know, old, sorry :-)

Try bisecting ports changes (should take ~13 steps).

> (gdb) bt
> #0  0x0000000807ba8f60 in x264_8_trellis_coefn () from /usr/local/lib/libx264.so.159
> #1  0x0000000807a7cfee in x264_8_frame_shift () from /usr/local/lib/libx264.so.159
> #2  0x0000000807a7330d in x264_8_frame_shift () from /usr/local/lib/libx264.so.159
> #3  0x0000000807ad1c93 in x264_8_frame_shift () from /usr/local/lib/libx264.so.159
> #4  0x0000000807acd4fd in x264_8_frame_shift () from /usr/local/lib/libx264.so.159
> #5  0x0000000807ad418b in x264_8_threadpool_init () from /usr/local/lib/libx264.so.159
> #6  0x0000000803fefc06 in thread_start (curthread=0x80ed2f200) at /usr/src/lib/libthr/thread/thr_create.c:289
> #7  0x0000000000000000 in ?? ()

Not useful as this thread is different from the one that crashed.
Comment 2 Jan Beich freebsd_committer 2020-03-05 02:32:58 UTC
(In reply to Jan Beich from comment #1)
> Not useful as this thread is different from the one that crashed.

Or maybe not. Either way you'd have to figure out during bisecting as the range includes ports r520577 (recent x264 update).
Comment 3 Palle Girgensohn freebsd_committer 2020-03-05 22:12:42 UTC
OK, so, I reverted that last update of libx264, r520577, and it fixes my problem. 

the commande that makes ffmpeg crash is , using a simple mp4 fil, clip from an iPhone:

 ffmpeg -threads 8 -i myclip.mp4 -y -threads 8  -movflags faststart  -acodec aac -vcodec h264 -f mp4 myclip-converted.f4v

after reverting the latest update of libx264, it works.

So, there is some kind of regression introduced with r520577. I can only provoke it to fail on FreeBSD-11.2.

12.0 and 12.1 are fine.

I have not tried 11.3

All are on amd64 architecture.
Comment 4 Jan Beich freebsd_committer 2020-05-23 08:41:40 UTC
Maybe try building with LDFLAGS+=-fuse-ld=lld

- 11.2/12.0 have Clang 6
- 11.3/12.1 have Clang 8
- 11.4/12.2 have Clang 10
- 11.* use BFD linker
- 12.* use LLD linker
Comment 5 Palle Girgensohn freebsd_committer 2020-05-24 10:14:13 UTC
Hi Jan,

We upgraded our systems to 12.1 so I can't easily test that.

If this works with the supported versions of the OS, maybe we should close the ticket? I have not verifired 11.3...
Comment 6 Jan Beich freebsd_committer 2020-05-24 14:19:11 UTC
I don't think anyone else reported a similar issue on amd64.